--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Data for Name: dispatcher; Type: TABLE DATA; Schema: public; Owner: opensips
--

COPY public.dispatcher (id, setid, destination, socket, state, weight, priority, probe_mode, attrs, description) FROM stdin;
1	1	sip:127.0.0.1:5080		0	0	0	0	FreeSWITCH	FS1
\.

--
-- Data for Name: rtpengine; Type: TABLE DATA; Schema: public; Owner: opensips
--

COPY public.rtpengine (id, socket, set_id) FROM stdin;
1	udp:127.0.0.1:60000	1
\.

--
-- Data for Name: version; Type: TABLE DATA; Schema: public; Owner: opensips
--

COPY public.version (table_name, table_version) FROM stdin;
acc	7
missed_calls	5
dbaliases	2
subscriber	7
usr_preferences	3
clusterer	4
dialog	10
dialplan	5
dispatcher	9
domain	3
dr_gateways	6
dr_rules	3
dr_carriers	2
dr_groups	2
dr_partitions	1
grp	3
re_grp	2
load_balancer	2
silo	6
address	5
rtpproxy_sockets	0
rtpengine	1
speed_dial	3
tls_mgm	2
uri	2
location	1013
presentity	5
active_watchers	12
watchers	4
xcap	4
pua	8
rls_presentity	1
rls_watchers	2
b2b_entities	1
b2b_logic	3
cachedb	2
cc_flows	1
cc_agents	1
cc_cdrs	1
carrierroute	3
carrierfailureroute	2
route_tree	2
cpl	2
domainpolicy	3
emergency_routing	1
emergency_report	1
emergency_service_provider	1
fraud_detection	1
freeswitch	1
imc_rooms	2
imc_members	2
sip_trace	5
userblacklist	2
globalblacklist	2
registrant	2
sip_subscriber	2
sip_registrant	3
sip_address_allow	5
\.


--
-- PostgreSQL database dump complete
--

insert into flow.calendar_timezone_offsets (id, utc_offset, names)
select rank() over(order by utc_offset) id, utc_offset, array_agg(name) as names
from pg_timezone_names
where not name ilike '%pos%' and not exists(select 1 from flow.calendar_timezone_offsets)
group by utc_offset
order by utc_offset;

insert into flow.calendar_timezones (name, utc_offset, offset_id, sys_name)
select n || ' ' || substring(utc_offset::text, 1, length(utc_offset::text) - 3), utc_offset, id, n
from flow.calendar_timezone_offsets,
     lateral unnest(names) n
where not exists(select 1 from flow.calendar_timezones);

insert into call_center.cc_agent_channel (agent_id, channel, state)
select a.id, c, 'waiting'
from unnest('{chat,call,task}'::text[]) c,
     call_center.cc_agent a;

refresh materialized view call_center.cc_inbound_stats;
refresh materialized view call_center.cc_distribute_stats;
refresh materialized view call_center.cc_agent_today_stats;
refresh materialized view call_center.cc_agent_today_pause_cause;

VACUUM FULL;
